geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vamsavardhana Reddy (JIRA)" <>
Subject [jira] Updated: (GERONIMO-2127) Expose the ability to use Select for Update on CMP entity beans
Date Thu, 07 Dec 2006 12:25:23 GMT
     [ ]

Vamsavardhana Reddy updated GERONIMO-2127:

    Fix Version/s: 1.x
                       (was: 1.2)

> Expose the ability to use Select for Update on CMP entity beans
> ---------------------------------------------------------------
>                 Key: GERONIMO-2127
>                 URL:
>             Project: Geronimo
>          Issue Type: Improvement
>      Security Level: public(Regular issues) 
>         Environment: All
>            Reporter: Matt Hogstrom
>             Fix For: 1.x, 2.0
> Currently TranQL supports the generation sql to execute a select for update.  Unfortunately,
OpenEJB does not expose the ability in the current XSD to support this.  As a result the CMP
implementation we have does pass CTS but lacks the ability to deploy an application that is
performant and provides for data consistency.
> This improvement will add an attribute into the XSD for OpenEJB so a new attribute will
be added <select-for-update> that is an indicator to use a select for update on a query
so database locking can be employed.
> Changes will be made to TranQL (Syntax Factories) to create the correct SQL as well as
OpenEJB's CMP builders to honor the request.

This message is automatically generated by JIRA.
If you think it was sent incorrectly contact one of the administrators:
For more information on JIRA, see:


View raw message